Subscribe: 【超凡博俗 之 数码人生】 » 博客软件
http://lichao.net/weblog/category/web-development/blogging/feed
Added By: Feedage Forager Feedage Grade B rated
Language: English
Tags:
byte  chinese  entered valid  error line  feed encountered  feed  flaw  problem error  read  security  update  valid feed  version  wordpress 
Rate this Feed
Rate this feedRate this feedRate this feedRate this feedRate this feed
Rate this feed 1 starRate this feed 2 starRate this feed 3 starRate this feed 4 starRate this feed 5 star

Comments (0)

Feed Details and Statistics Feed Statistics
Preview: 【超凡博俗 之 数码人生】 » 博客软件

博客软件 – 【超凡博俗 之 数码人生】



超凡工作室的网络精灵博客系列之IT专版;在此从技术和人文的角度来讨论一些IT相关的话题!



Last Build Date: Fri, 02 Oct 2015 15:07:37 +0000

 



没有办法升级 WordPress MU 2.9.1.1

Mon, 25 Jan 2010 20:07:31 +0000

今天没有用LiveWriter来写博客,就登录了自己的MU 后台,发现系统提示最新的MU版本 2.9.1.1可供下载升级了(WordPress MU 2.9.1.1 is available! Please update.) 由于现在的WordPress MU已经有了后台自动点击升级的功能了,所以十分开心的点击了升级的连接,然后再点击Upgrade Automatically的按钮。 WordPress开始下载最新的zip文件,然后在线解压。正在高兴地等候中,却等来安装失败的信息。原来升级了的2.9现在需要最少4.1.2版本以上的MySQL数据库。后悔呀,当初安WordPress的时候没有选MySQL 5 的选项。 Upgrade WordPress Downloading update from http://mu.wordpress.org/wordpress-mu-2.9.1.1.zip. Unpacking the update. The update cannot be installed because WordPress 2.9.1 requires MySQL version 4.1.2 or higher. You are running version 4.0.27. Installation Failed 没有办法了,先就还用2.8来将就吧。 如果你们有什么好的主意,来顺利升级我的MySQL版本,我就在此先谢了。



都是乱码惹得祸

Thu, 07 Feb 2008 17:12:06 +0000

这几天在玩水煮鱼的Dashboard Chinese 插件时想看看他火星计划的效果,却突然发现自己的Feed在哪儿有点问题。原来还是可以看见文章的,但是前两天却突然不见了。经过水煮鱼的证实,Dashboard Chinese 插件是没有问题的,他那边的讯息是:火星不能够PING我所提供的RSS Feed服务器。所以,问题的所在就应该是我博客生成的RSS了。正巧自己刚刚升级到WordPress MU 1.3.3,想当然是升级产生的问题。 首先按照查找升级带来问题的常规程序来:卸掉所有的插件,问题没有解决;再降级博客程序(重新上传WordPress MU 1.3)以免代码升级带来UTF-8解析的毛病,还是老样子。折腾了两天(过年吗,就只有断断续续地 trouble shooting),仍然没有解决问题。看来不是升级带来的问题,对不起,各位WP核心源码和插件开发团队的哥们,错怪你们了。 好了,就来看看RSS Feed本身吧。由于自己目前使用FeedBurner来做RSS的种子发布机,使得问题更加的“复杂”。表现的症状是,在我的浏览器上直接调http://lichao.net/weblog/feed 是一点问题也咩有,但是但自己敲 http://feeds.feedburner.com/lichaonetweblog 时,出来是一片乱码,文字全变成 ????问号了。而且在feedburner更新My Feeds讯息时,没有成功,出来了一个错误信息如下: The URL you entered does not appear to be a valid feed. We encountered the following problem: Error on line 42: Invalid byte 3 of 3-byte UTF-8 sequence. 大致结论是由于本博客的某些文章里的字符,在产生RSS时给Feedburner带来了不可识别的错误。有了这个,总算使自己的纠错行动奠定了一个大致的正确方向。下面就是我成功解决问题的过程和使用的工具,因为自己走了些弯路,发在这希望给大家在遇到同类问题时有所帮助。   由于是最近发生的,肯定从最后文章入手。而且知道毛病在于不正确的字符问题,自然要从“文章是否使用了Word等编辑器而产生了恶劣的怪符”和“是否使用了Javascript”开始。 去掉 Google Adsense 的代码,虽然不是我这里的主要问题,但是没有Javascript还是方便下一步的纠错。... Read more »



请更新到 WordPress MU 1.3.3 并下载 WordPress MU 1.3.3中文语言包

Wed, 06 Feb 2008 05:50:49 +0000

由于安全性的考量,WordPress 开发团队在更新了WordPress单用户版本的同时也更新多用户版 WordPress 到了 1.3.3。WordPress 中文团队也及时地更新了中文语言包供大家下载。这里是目前他们发布的 WordPress MU 1.3.3 中文包第一版的下载信息。 Chinese Localization files for WordPress MU 1.3.3: (1790 项字符串,最后更新于 2008-02-05 11:00 pm) 可下载的内容:zh_CN.mo 和 zh_CN.po 至于如何使用该语言包文件将你的 WordPress MU 汉化不在该文的讨论范围内,请参考怎样给WordPress MU 多用户版本变换语言 感谢WP中文团队DreamColor及其他团队成员的辛勤劳动,Job Well Done!



WordPress 的安全补丁版本 WordPress 2.3.3 的推出

Tue, 05 Feb 2008 16:49:20 +0000

12小时前WordPress开发团队推出了安全补丁版 WordPress 2.3.3。如果你已经在你的博客上启用了用户注册功能的话,而且又很关心你的博客安全,请及时升级更新该版本。当然,如果你只关心安全的话,你只需下载并覆盖你的 xmlrpc.php 文件。 下面是官方网站关于该新版本的解释: It is an urgent security release. If you have registration enabled a flaw was found in the XML-RPC implementation such that a specially crafted request would allow a user to edit posts of other users on that blog. In addition to fixing this security flaw, 2.3.3 fixes a few... Read more »